dofile(LockOn_Options.common_script_path.."elements_defs.lua")

local dbg_k = 0.5

old_K = 73.5
new_K = 73.5 --44

aspect   = LockOn_Options.screen.aspect - 0.02	

local multimonitor_setup_name =  "Config/MonitorSetup/"..get_multimonitor_preset_name()..".lua"
local f = loadfile(multimonitor_setup_name)
if	  f then
	local env = {}
	env.screen = LockOn_Options.screen
	setfenv(f,env)
	pcall(f)
	if env.UIMainView ~= nil then
		if (LockOn_Options.screen.width/2.0 > env.UIMainView.x) then 
			aspect = (env.UIMainView.width + env.UIMainView.x - LockOn_Options.screen.width/2.0)/LockOn_Options.screen.height - 0.02
		else	
			aspect = (env.UIMainView.width + env.UIMainView.x)/LockOn_Options.screen.height - 0.02
		end	
	end
end

FontSizeX1	= 0.0058 * (old_K / new_K)
FontSizeY1	= FontSizeX1

predefined_font_0 = {dbg_k* FontSizeY1, dbg_k* FontSizeX1, 0.0, 0.0}

predefined_font_1 = {dbg_k* FontSizeY1*0.8, dbg_k* FontSizeX1*0.8, 0.0, 0.0}

function AddElement(object)
	object.screenspace = ScreenType.SCREENSPACE_TRUE
    object.use_mipfilter = true
    Add(object)
end

--
firstLineX = -3.8
aspect = firstLineX
firstLineY = 0.1
--X=0 Y=0 is center of UIMainview


txt_WeapStatus			= CreateElement "ceStringPoly"
txt_WeapStatus.name		= "txt_WeapStatus"
txt_WeapStatus.material	= "font_general"
txt_WeapStatus.init_pos	= {aspect - 0.35,  firstLineY + 0.18, 0}
txt_WeapStatus.value    = "WEAPON STATUS:"
txt_WeapStatus.alignment  = "CenterCenter"
txt_WeapStatus.stringdefs	= predefined_font_0
txt_WeapStatus.controllers = {{"show_status"},{"show_weap_status"}}
AddElement(txt_WeapStatus)

txt_WeapStatus_M60D				= CreateElement "ceStringPoly"
txt_WeapStatus_M60D.name		= "txt_WeapStatus_M60"
txt_WeapStatus_M60D.material	= "font_general"
txt_WeapStatus_M60D.init_pos	= {aspect - 0.35,  firstLineY + 0.13, 0}
txt_WeapStatus_M60D.formats    = {"",
								  "M134",
								  "XM158",
								  "M134 XM158"}
txt_WeapStatus_M60D.alignment  	= "CenterCenter"
txt_WeapStatus_M60D.stringdefs	= predefined_font_0
txt_WeapStatus_M60D.controllers = {{"show_status"},{"show_weap_status"},{"M60D"}}
AddElement(txt_WeapStatus_M60D)

txt_Off_Safe_Armed			= CreateElement "ceStringPoly"
txt_Off_Safe_Armed.name		= "txt_Off_Safe_Armed"
txt_Off_Safe_Armed.material	= "font_general"
txt_Off_Safe_Armed.init_pos	= {aspect - 0.38,  firstLineY+0.05, 0}
txt_Off_Safe_Armed.formats    = {"OFF", "SAFE", "ARMED"}
txt_Off_Safe_Armed.alignment  = "RightCenter"
txt_Off_Safe_Armed.stringdefs	= predefined_font_0
txt_Off_Safe_Armed.controllers    = {{"show_status"},{"show_weap_status"},{"Off_Safe_Armed"}}
AddElement(txt_Off_Safe_Armed)

txt_Off_Safe_Armed_key			= CreateElement "ceStringPoly"
txt_Off_Safe_Armed_key.name		= "txt_Off_Safe_Armed_key"
txt_Off_Safe_Armed_key.material	= "font_general"
txt_Off_Safe_Armed_key.init_pos	= {aspect,  firstLineY+0.05, 0}
txt_Off_Safe_Armed_key.value    = "RSHIFT ]/[     "
txt_Off_Safe_Armed_key.alignment  = "RightCenter"
txt_Off_Safe_Armed_key.stringdefs	= predefined_font_0
txt_Off_Safe_Armed_key.controllers    = {{"show_status"},{"show_weap_status"}}
AddElement(txt_Off_Safe_Armed_key)

txt_WeaponType			= CreateElement "ceStringPoly"
txt_WeaponType.name		= "txt_WeaponType"
txt_WeaponType.material	= "font_general"
txt_WeaponType.init_pos	= {aspect - 0.48,  firstLineY, 0}
txt_WeaponType.formats    = {"7.62/", "2.75/", "40/"}
txt_WeaponType.alignment  = "RightCenter"
txt_WeaponType.stringdefs = predefined_font_0
txt_WeaponType.controllers = {{"show_status"},{"show_weap_status"},{"WeaponType"}}
AddElement(txt_WeaponType)

txt_WeaponNum			= CreateElement "ceStringPoly"
txt_WeaponNum.name		= "txt_WeaponNum"
txt_WeaponNum.material	= "font_general"
txt_WeaponNum.init_pos	= {aspect - 0.38,  firstLineY, 0}
txt_WeaponNum.alignment  = "RightCenter"
txt_WeaponNum.stringdefs = predefined_font_0
txt_WeaponNum.controllers = {{"show_status"},{"show_weap_status"},{"WeaponNum"}}
AddElement(txt_WeaponNum)

txt_WeaponType_key			= CreateElement "ceStringPoly"
txt_WeaponType_key.name		= "txt_WeaponType_key"
txt_WeaponType_key.material	= "font_general"
txt_WeaponType_key.init_pos	= {aspect,  firstLineY, 0}
txt_WeaponType_key.value    = "RALT ]/[       "
txt_WeaponType_key.alignment  = "RightCenter"
txt_WeaponType_key.stringdefs	= predefined_font_0
txt_WeaponType_key.controllers    = {{"show_status"},{"show_weap_status"}}
AddElement(txt_WeaponType_key)

txt_NumPairs			= CreateElement "ceStringPoly"
txt_NumPairs.name		= "txt_NumPairs"
txt_NumPairs.material	= "font_general"
txt_NumPairs.init_pos	= {aspect - 0.38,  firstLineY-0.05, 0}
txt_NumPairs.formats   	= {"X0","X1","X2","X3","X4","X5","X6","X7","LEFT","BOTH","RIGHT"}
txt_NumPairs.alignment  = "RightCenter"
txt_NumPairs.stringdefs	= predefined_font_0
txt_NumPairs.controllers= {{"show_status"},{"show_weap_status"},{"NumPairs"}}
AddElement(txt_NumPairs)

txt_NumPairs_key			= CreateElement "ceStringPoly"
txt_NumPairs_key.name		= "txt_NumPairs_key"
txt_NumPairs_key.material	= "font_general"
txt_NumPairs_key.init_pos	= {aspect,  firstLineY-0.05, 0}
txt_NumPairs_key.formats    = {"RALT RCTRL ]/[ ", "RCTRL ]/[      "}
txt_NumPairs_key.alignment  = "RightCenter"
txt_NumPairs_key.stringdefs	= predefined_font_0
txt_NumPairs_key.controllers = {{"show_status"},{"show_weap_status"},{"WeaponType"}}
AddElement(txt_NumPairs_key)

txt_Flex			= CreateElement "ceStringPoly"
txt_Flex.name		= "txt_Flex"
txt_Flex.material	= "font_general"
txt_Flex.init_pos	= {aspect-0.36,  firstLineY-0.1, 0}
txt_Flex.value      = "FLEXIBLE MODE ACTIVE"
txt_Flex.alignment  = "CenterCenter"
txt_Flex.stringdefs	= predefined_font_1
txt_Flex.controllers    = {{"show_msg"}, {"show_status"},{"show_weap_status"}}
AddElement(txt_Flex)

txt_AutoPilot_txt			= CreateElement "ceStringPoly"
txt_AutoPilot_txt.name		= "txt_AutoPilot_txt"
txt_AutoPilot_txt.material	= "font_general"
txt_AutoPilot_txt.init_pos	= {aspect - 0.35,  firstLineY-0.25, 0}
txt_AutoPilot_txt.value    = "AUTOPILOT MODE:"
txt_AutoPilot_txt.alignment  = "CenterCenter"
txt_AutoPilot_txt.stringdefs	= predefined_font_0
txt_AutoPilot_txt.controllers = {{"show_status"}}
AddElement(txt_AutoPilot_txt)

txt_AutoPilot_mode			= CreateElement "ceStringPoly"
txt_AutoPilot_mode.name		= "txt_AutoPilot_mode"
txt_AutoPilot_mode.material	= "font_general"
txt_AutoPilot_mode.init_pos	= {aspect - 0.35,  firstLineY-0.3, 0}
txt_AutoPilot_mode.formats    = {"ATTITUDE HOLD", 
								 "LEVEL FLIGHT", 
								 "ORBIT"}
txt_AutoPilot_mode.alignment  = "CenterCenter"
txt_AutoPilot_mode.stringdefs	= predefined_font_0
txt_AutoPilot_mode.controllers = {{"AutoPilot_mode"}}
AddElement(txt_AutoPilot_mode)


txt_AutoPilot			= CreateElement "ceStringPoly"
txt_AutoPilot.name		= "txt_AutoPilot"
txt_AutoPilot.material	= "font_general"
txt_AutoPilot.init_pos	= {aspect - 0.38,  firstLineY-0.375, 0}
txt_AutoPilot.formats   = {"OFF","ON"}
txt_AutoPilot.alignment  = "RightCenter"
txt_AutoPilot.stringdefs	= predefined_font_0
txt_AutoPilot.controllers= {{"AutoPilot"}}
AddElement(txt_AutoPilot)

txt_AutoPilot_key			= CreateElement "ceStringPoly"
txt_AutoPilot_key.name		= "txt_AutoPilot_key"
txt_AutoPilot_key.material	= "font_general"
txt_AutoPilot_key.init_pos	= {aspect,  firstLineY-0.375, 0}
txt_AutoPilot_key.value    	= "LWIN A         "
txt_AutoPilot_key.alignment  = "RightCenter"
txt_AutoPilot_key.stringdefs	= predefined_font_0
txt_AutoPilot_key.controllers = {{"AutoPilot"}}
AddElement(txt_AutoPilot_key)

txt_AutoPilot_KEEP_AS_IS			= CreateElement "ceStringPoly"
txt_AutoPilot_KEEP_AS_IS.name		= "txt_KEEP_AS_IS"
txt_AutoPilot_KEEP_AS_IS.material	= "font_general"
txt_AutoPilot_KEEP_AS_IS.init_pos	= {aspect - 0.36,  firstLineY-0.45, 0}
txt_AutoPilot_KEEP_AS_IS.value    	= "ATTITUDE HOLD  LSHIFT LALT A"
txt_AutoPilot_KEEP_AS_IS.alignment  = "CenterCenter"
txt_AutoPilot_KEEP_AS_IS.stringdefs	= predefined_font_1
txt_AutoPilot_KEEP_AS_IS.controllers = {{"AutoPilot"}}
AddElement(txt_AutoPilot_KEEP_AS_IS)

txt_AutoPilot_H_AS_AB			= CreateElement "ceStringPoly"
txt_AutoPilot_H_AS_AB.name		= "txt_AutoPilot_H_AS_AB"
txt_AutoPilot_H_AS_AB.material	= "font_general"
txt_AutoPilot_H_AS_AB.init_pos	= {aspect - 0.36,  firstLineY-0.5, 0}
txt_AutoPilot_H_AS_AB.value    	= "LEVEL FLIGHT  LCTRL A     "
txt_AutoPilot_H_AS_AB.alignment  = "CenterCenter"
txt_AutoPilot_H_AS_AB.stringdefs	= predefined_font_1
txt_AutoPilot_H_AS_AB.controllers = {{"AutoPilot"}}
AddElement(txt_AutoPilot_H_AS_AB)

txt_AutoPilot_TURN_IN			= CreateElement "ceStringPoly"
txt_AutoPilot_TURN_IN.name		= "txt_AutoPilot_TURN_IN"
txt_AutoPilot_TURN_IN.material	= "font_general"
txt_AutoPilot_TURN_IN.init_pos	= {aspect - 0.36,  firstLineY-0.55, 0}
txt_AutoPilot_TURN_IN.value    	= " ORBIT  LALT A"
txt_AutoPilot_TURN_IN.alignment  = "CenterCenter"
txt_AutoPilot_TURN_IN.stringdefs	= predefined_font_1
txt_AutoPilot_TURN_IN.controllers = {{"AutoPilot"}}
AddElement(txt_AutoPilot_TURN_IN)


txt_PilotSight				= CreateElement "ceStringPoly"
txt_PilotSight.name			= "txt_PilotSight"
txt_PilotSight.material		= "font_general"
txt_PilotSight.init_pos		= {aspect-0.15,  firstLineY-0.15, 0}
txt_PilotSight.value      	= "PILOT SIGHT ELEVATION"
txt_PilotSight.alignment  	= "RightCenter"
txt_PilotSight.stringdefs	= predefined_font_0
txt_PilotSight.controllers  = {{"show_status"},{"show_weap_status"}}
AddElement(txt_PilotSight)

txt_PilotSightAng			= CreateElement "ceStringPoly"
txt_PilotSightAng.name		= "txt_PilotSightAng"
txt_PilotSightAng.material	= "font_general"
txt_PilotSightAng.init_pos	= {aspect - 0.11,  firstLineY - 0.15, 0}
txt_PilotSightAng.alignment  = "LeftCenter"
txt_PilotSightAng.stringdefs = predefined_font_0
txt_PilotSightAng.controllers = {{"show_status"},{"show_weap_status"},{"PilotSightAngle"}}
AddElement(txt_PilotSightAng)